/* File aLib.h */
#if !defined(ALIB_H)
#define ALIB_H

#include "ECOA.h" /* Fundamental types declared for the platform */

#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus */

/* Fixed array type */
#define aLib__String128_MAXSIZE 128
typedef ECOA__char8 aLib__String128[aLib__String128_MAXSIZE];

/* Array type */
#define aLib__AnArray_MAXSIZE 10
typedef struct
{
   ECOA__uint32 current_size;
   ECOA__float32 data[aLib__AnArray_MAXSIZE];
} aLib__AnArray;

/* Record type */
typedef struct
{
   ECOA__uint32 refNo;
   ECOA__hr_time timeStamp;
   aLib__AnArray data;
} aLib__SomeType;


#if defined(__cplusplus)
}
#endif /* __cplusplus */

#endif  /* ALIB_H */
