-- File aLib.ads

-- Standard ECOA Types
with ECOA;


package aLib is

-- Fixed Array type
type String128_Index is range 0..128-1;
type String128 is array
    (String128_Index) of ECOA.Character_8_Type;

-- Array type
type AnArray_Size is range 0..10;
for AnArray_Size'Size use ECOA.Unsigned_32_Type'Size;
subtype AnArray_Index is AnArray_Size range 0..10-1;
type AnArray_Data is array
    (AnArray_Index) of ECOA.Float_32_Type;
type AnArray is
   record
      Current_Size : AnArray_Size;
      Data         : AnArray_Data;
   end record;

-- Record type
type SomeType is
   record
      refNo : ECOA.Unsigned_32_Type;
      timeStamp : ECOA.Hr_Time_Type;
      data : AnArray;
   end record;


end aLib;
