/* File aLib.hpp */

#if !defined(ALIB_HPP)
#define ALIB_HPP

#include "ECOA.hpp" /* Fundamental types declared for the platform */

namespace aLib {


/* Fixed array type */
const ECOA::uint32 String128_MAXSIZE  = 128;
typedef ECOA::char8 String128[String128_MAXSIZE];

/* Array type */
const ECOA::uint32 AnArray_MAXSIZE  = 10;
typedef struct
{
   ECOA::uint32 current_size;
   ECOA::float32 data[AnArray_MAXSIZE];
} AnArray;

/* Record type */
typedef struct
{
   ECOA::uint32 refNo;
   ECOA::hr_time timeStamp;
   AnArray data;
} SomeType;


} /* aLib */

#endif  /* ALIB_HPP */
