
# include <stdio.h>
# include <string.h>
# include <stdlib.h>

#include "../Steps/output/include/aLib.h"

#define PINFOFILE "../Steps/4-ComponentImplementations/PINFOEx/Pinfo/PINFOEx.dat"
#define BUFLEN 1024 * 12

int main()
{
#if defined( _MSC_VER )
  FILE *fpinfo = fopen( PINFOFILE, "wb" );
#else
  FILE *fpinfo = fopen( PINFOFILE, "w" );
#endif

  aLib__SomeType thePINFO;
  char header[128];
  int  hdrlen;
  unsigned int i;
  unsigned char majorVer = 1, minorVer = 200;

  hdrlen = sprintf( header, "PINFO%cPINFOEx.dat%c%c%c", 0, 0, majorVer, minorVer );
  fwrite( header, sizeof( char ), hdrlen, fpinfo );

  thePINFO.refNo = 1234;
  thePINFO.timeStamp = (ECOA__hr_time){ 1487328082, 133172600 };
  thePINFO.data.data[0] = 1.2;
  thePINFO.data.data[1] = 2.3;
  thePINFO.data.current_size = 2;

  // Write some binary content
  fwrite( &thePINFO, sizeof( aLib__SomeType ), 1, fpinfo );

  // Now write some ASCII content
  fprintf( fpinfo, "%d, %u, %u, %d", thePINFO.refNo, thePINFO.timeStamp.seconds, thePINFO.timeStamp.nanoseconds, thePINFO.data.current_size );
  for( i = 0; i < thePINFO.data.current_size; i++ ){
	  fprintf( fpinfo, ", %g", thePINFO.data.data[i] );
  }

  fclose( fpinfo );
  return 0;
 }



